get
https://api.shopalyst.com/v1/insights/daas/shareOfVoice
This API returns the voice(banner) details of the given brand, merchant and date.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Response
{
"success": true,
"message": "",
"errorCode": "",
"result": {
"data": [
{
"brand": "anmum",
"channel": "web",
"page": {
"type": "Other",
"division": "beauty",
"category": "face",
"subCategory": null,
"articleType": null
},
"spot": "hero",
"merchant": "shopee",
"bannerDetails": [
{
"bannerUrl": "https://sl-my-brand-media.s3-ap-southeast-1.amazonaws.com/799FD3D9371FCCAA3EFFED3BC0D75100_20210502f4375395079b323b19a207539dd8532b",
"bannerType": "awareness",
"bannerBrands": [
"genki"
]
},
{
"bannerUrl": "https://sl-my-brand-media.s3-ap-southeast-1.amazonaws.com/46EDB1EE55213DA95CACC696AEC6BB0F_2021050288f4ef36d3bd1d007e37ce539ab9714a",
"bannerType": "promotion",
"bannerBrands": []
},
{
"bannerUrl": "https://sl-my-brand-media.s3-ap-southeast-1.amazonaws.com/894EA2728581E1F6571D3C0574A6CCAF_2021050204488f9cf8689caa6aa6686758af6389",
"bannerType": "promotion",
"bannerBrands": [
"drypers",
"nestle",
"nestlenankid"
]
}
],
"score": "0.00",
"hasPromoProducts": true
},
{
"brand": "anmum",
"channel": "web",
"page": "mall_popular",
"spot": "banner",
"merchant": "shopee",
"bannerDetails": [
{
"bannerUrl": "https://sl-my-brand-media.s3-ap-southeast-1.amazonaws.com/19199CA04770F4695A8B62E454DDD5EE_202105022a698c1c2b1dd9910637c43f176616da",
"bannerType": "promotion",
"bannerBrands": [
"drypers"
]
},
{
"bannerUrl": "https://sl-my-brand-media.s3-ap-southeast-1.amazonaws.com/894EA2728581E1F6571D3C0574A6CCAF_2021050204488f9cf8689caa6aa6686758af6389",
"bannerType": "promotion",
"bannerBrands": [
"drypers",
"nestle",
"nestlenankid"
]
}
],
"score": "0.00",
"hasPromoProducts": true
}
],
"total": 2,
"totalBanners": 5,
"type": "shareOfVoice",
"date": "2021-05-02"
}
}Response Fields
| Field | Description | Data Type |
|---|---|---|
| success | Indicates if API response is success or not. | bool |
| message | Response message. Typically populated in error scenarios. | string |
| errorCode | Error code. | string |
| brand | Brand name. | string |
| channel | Web or App. | string |
| page | Page type. | json |
| spot | Hero or Banner. | string |
| score | Brand share percentage in the banner results. | number |
| bannerUrl | Banner url. | string |
| bannerType | Type of the banner (Awareness, Promotion or New Arrival). | string |
| bannerBrands | Banner brands. | string |
| hasPromoProducts | Has promoted products or not. | bool |
| total | Total number of items in the data. | number |
| totalBanners | Total number of banners. | number |
| date | Date. | string |
Exceptions and Error Conditions
The Share of Voice API will look for matching data based on the filters applied. However, there are a few scenarios where the API may not be able to return a valid response. For example
- Data request for a future date
- Data requested for invalid merchant/brand combination
- Date request for invalid channel
- Invalid API key
In all the above scenarios, the Share of voice API would return with an error response.
Example:
{
"success": false,
"message": "You can not request for future date",
"errorCode": "INVALID_DATE",
"result": ""
}